Subject: [Netmod-ver-dt] draft-verdt-netmod-yang-semver-00_v1.pptx - in the works

From: Balázs Lengyel <[email-masked]>
Date: Thu, 21 Mar 2019 14:25:50 +0000

Some comments on the draft:

1.1.1
- extension statements are not an update to 7950
- indicate that we do not actually want to update 7950 as the proposed
changes/new stuff are only valid if semver version is present, in which 
case this RFC applies.

2.1 and 4 are nearly the same

5.3
- I hate it that the two are defined differently (except for the default 
value)
In the YAM I don't think that references to the RFC defining the module 
itself are needed.

-- 
Balazs Lengyel                       Ericsson Hungary Ltd.
Senior Specialist
Mobile: +36-70-330-7909              email: [email-masked]

---

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Thu, 21 Mar 2019 14:42:28 +0000

Hi Balazs,

> -----Original Message-----
> From: Netmod-ver-dt <[email-masked]> On Behalf Of Balázs
> Lengyel
> Sent: 21 March 2019 14:26
> To: [email-masked]
> Subject: [Netmod-ver-dt] draft-verdt-netmod-yang-semver-00_v1.pptx - in the
> works
> 
> changes/new stuff are only valid if semver version is present, in which case this
> RFC applies.

We have to update RFC 7950 because we change the module update rules.  It doesn't matter if it only applies if there is a semver, modules that follow this RFC still won't have to follow RFC 7950 section 11 rules, so RFC 7950 must be updated.

> 2.1 and 4 are nearly the same

Yes, I think that probably the core text in 2.1 should be moved to section 4, and then 2.1 can just reference section 4 for the details of how to perform the classification.

> - I hate it that the two are defined differently (except for the default

This is sort of required.  We want to use deviations in the deprecated case, and the YANG language does not currently allow deviations to be used in the obsolete case.  I.e. there is currently no way that an implementation can indicate that it implements a deprecated node.

However, this section should change to indicate that implementations MUST NOT implement obsolete nodes.

> In the YAM I don't think that references to the RFC defining the module itself are
> needed.

I think that is fairly standard practice.  So, if you just have the module in isolation you can find the document that defines and describes it.

Thanks,
Rob

---

From: Balázs Lengyel <[email-masked]>
Date: Thu, 21 Mar 2019 16:09:27 +0000

On 2019. 03. 21. 15:42, Rob Wilton
(rwilton) wrote:

Hi Balazs,

-----Original Message-----

1.1.1

BALAZS2: I agree with your statement. I just
think the 2 extension statements (bullets 2, 3)  are not updates
to 7950. Bullet 1 is OK

5.3

BALAZS: Again I am OK with the idea, I would
just like the two definitions to work the same way, with nearly
the same description.

BALAZS: Yes the YAM should reference the RFC
in the module level description/reference and the revision
statements, but not in individual leafs, mentioning specific
sections.

Thanks,
Rob